import 'package:get/get.dart';
import 'package:sigap/src/cores/services/background_service.dart';
import 'package:sigap/src/cores/services/biometric_service.dart';
import 'package:sigap/src/cores/services/location_service.dart';
import 'package:sigap/src/cores/services/supabase_service.dart';
 

class ServiceBindings extends Bindings {
  @override
  Future<void> dependencies() async {
    // Initialize background service

    final locationService = await BackgroundService.instance
        .compute<LocationService, void>((message) => LocationService(), null);
    final biometricService = await BackgroundService.instance
        .compute<BiometricService, void>((message) => BiometricService(), null);

    // Initialize services
    await Get.putAsync(() => SupabaseService().init(), permanent: true);
    await Get.putAsync(() => biometricService.init(), permanent: true);
    await Get.putAsync(() => locationService.init(), permanent: true);
  }
}
